Bug 219133 - Tries to print to rejecting printer; gives no diagnostic
Summary: Tries to print to rejecting printer; gives no diagnostic
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-11 12:38 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 03:52:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 384940 None None None Never

Description Tim Waugh 2006-12-11 12:38:18 UTC
gedit seems to suffer from a similar bug as bug #219132 (evince).

Description of problem:
When a printer is marked as rejecting jobs with the CUPS 'reject' command, the
GTK+ print dialog will not display that queue any differently -- it will appear
as though it is fine to print to it.

Even worse, when the job is actually submitted there is no error given to the
user, so they think their job is submitted but it isn't.  Even with
'PreserveJobFiles On' in /etc/cups/cupsd.conf, the job will be lost forever.

Version-Release number of selected component (if applicable):
gedit-2.15.9-1.fc6

How reproducible:
100%

Steps to Reproduce:
Start with a queue named 'stylus'
1.reject stylus
2.Start gedit and type a text document
3.Ctrl-P, and select printer 'stylus'
4.Click Print
  
Actual results:
Job appears to get submitted, but is in fact lost forever.

Expected results:
Error message, or else it isn't possible for the user to attempt to submit jobs
to a printer not accepting requests.

Additional information:
OpenOffice.org Writer for example at least says that the print failed.

Comment 1 Matthias Clasen 2006-12-12 03:52:08 UTC
I'm moving this upstream http://bugzilla.gnome.org/show_bug.cgi?id=384940


Note You need to log in before you can comment on or make changes to this bug.